Skip to main content
GET
/
users
/
{handle}
Get User
curl --request GET \
  --url https://codecombat.com/api/users/{handle} \
  --header 'Authorization: Basic <encoded-value>'
import requests

url = "https://codecombat.com/api/users/{handle}"

headers = {"Authorization": "Basic <encoded-value>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};

fetch('https://codecombat.com/api/users/{handle}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "_id": "<string>",
  "email": "<string>",
  "name": "<string>",
  "slug": "<string>",
  "role": "<string>",
  "stats": {
    "gamesCompleted": 123,
    "concepts": {},
    "playTime": 123
  },
  "oAuthIdentities": [
    {
      "provider": "<string>",
      "id": "<string>"
    }
  ],
  "subscription": {
    "ends": "<string>",
    "active": true
  },
  "license": {
    "ends": "<string>",
    "active": true
  }
}

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

handle
string
required

The document's _id or slug.

Query Parameters

includePlayTime
string | null

Set to non-empty string to include stats.playTime in response

Response

200 - application/json

The requested user

Subset of properties listed here

_id
string | null
email
string | null
name
string | null
slug
string | null
role
string | null

Usually either 'teacher' or 'student'

stats
UserResponseStats · object | null
oAuthIdentities
UserResponseOAuthIdentitiesItem · object[] | null
subscription
UserResponseSubscription · object | null
license
UserResponseLicense · object | null